NodeRingsDocs

Preview My Storefront

GET
/v1/provider/storefront/preview
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Response Body

application/json

curl -X GET "https://api.noderings.com/v1/provider/storefront/preview" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "storefront": {
    "slug": "string",
    "providerId": "string",
    "organizationName": "string",
    "tagline": "string",
    "aboutHtml": "string",
    "coverImageUrl": "string",
    "logoImageUrl": "string",
    "highlightKeys": [
      "string"
    ],
    "highlightCustom": "string",
    "highlightCustomLines": [
      "string"
    ],
    "featuredPlanIds": [
      "string"
    ],
    "faqs": [
      {
        "question": "string",
        "answer": "string"
      }
    ],
    "catalog": {
      "provider": {
        "organizationId": "string",
        "organizationName": "string",
        "description": "string",
        "rating": 0.1,
        "totalReviews": 0,
        "planPrices": [
          {
            "id": "string",
            "pricingModel": "PRICING_MODEL_UNSPECIFIED",
            "chargeTiming": "CHARGE_TIMING_UNSPECIFIED",
            "tierMode": "TIER_MODE_UNSPECIFIED",
            "currency": "string",
            "unitAmount": "string",
            "unitName": "string",
            "unitQuantity": 0,
            "metricName": "string",
            "metricAggregation": "METRIC_AGGREGATION_UNSPECIFIED",
            "packageSize": 0,
            "packagePrice": "string",
            "overagePrice": "string",
            "billingPeriod": "BILLING_PERIOD_UNSPECIFIED",
            "billingInterval": 0,
            "minimumCharge": "string",
            "maximumCharge": "string",
            "freeUnits": 0,
            "freeAmount": "string",
            "prorate": true,
            "metered": true,
            "effectiveFrom": "2019-08-24T14:15:22Z",
            "effectiveUntil": "2019-08-24T14:15:22Z",
            "externalId": "string",
            "productType": "PRODUCT_TYPE_UNSPECIFIED",
            "parentPlanId": "string",
            "minQuantity": 0,
            "maxQuantity": 0,
            "pricingFormula": {},
            "planPrices": [
              {
                "id": "string",
                "name": "string",
                "description": "string",
                "code": "string",
                "endUser": "END_USER_UNSPECIFIED",
                "billingPeriod": "BILLING_PERIOD_UNSPECIFIED",
                "planType": "PLAN_TYPE_UNSPECIFIED",
                "billingType": "BILLING_TYPE_UNSPECIFIED",
                "assetCategory": "ASSET_CATEGORY_UNSPECIFIED",
                "assetType": "ASSET_TYPE_UNSPECIFIED",
                "planCategory": "PLAN_CATEGORY_UNSPECIFIED",
                "currency": "string",
                "setupFee": "string",
                "trialDays": 0,
                "trialAvailable": true,
                "gracePeriodDays": 0,
                "autoRenew": true,
                "maxSubscribers": 0,
                "isPublic": true,
                "slaHours": 0,
                "requiresManualApproval": true,
                "effectiveFrom": "2019-08-24T14:15:22Z",
                "effectiveUntil": "2019-08-24T14:15:22Z",
                "externalBillingId": "string",
                "templatePlanId": "string",
                "rulesetIds": [
                  "string"
                ],
                "planPrices": [
                  {
                    "id": "string",
                    "pricingModel": "PRICING_MODEL_UNSPECIFIED",
                    "chargeTiming": "CHARGE_TIMING_UNSPECIFIED",
                    "tierMode": "TIER_MODE_UNSPECIFIED",
                    "currency": "string",
                    "unitAmount": "string",
                    "unitName": "string",
                    "unitQuantity": 0,
                    "metricName": "string",
                    "metricAggregation": "METRIC_AGGREGATION_UNSPECIFIED",
                    "packageSize": 0,
                    "packagePrice": "string",
                    "overagePrice": "string",
                    "billingPeriod": "BILLING_PERIOD_UNSPECIFIED",
                    "billingInterval": 0,
                    "minimumCharge": "string",
                    "maximumCharge": "string",
                    "freeUnits": 0,
                    "freeAmount": "string",
                    "prorate": true,
                    "metered": true,
                    "effectiveFrom": "2019-08-24T14:15:22Z",
                    "effectiveUntil": "2019-08-24T14:15:22Z",
                    "externalId": "string",
                    "productType": "PRODUCT_TYPE_UNSPECIFIED",
                    "parentPlanId": "string",
                    "minQuantity": 0,
                    "maxQuantity": 0,
                    "pricingFormula": {},
                    "planPrices": [],
                    "pricingTierIds": [
                      "string"
                    ],
                    "subscriptionTemplateIds": [
                      "string"
                    ],
                    "metricIds": [
                      "string"
                    ],
                    "metadata": {},
                    "status": "STATUS_UNSPECIFIED",
                    "timestamps": {
                      "createTime": "2019-08-24T14:15:22Z",
                      "updateTime": "2019-08-24T14:15:22Z"
                    }
                  }
                ],
                "subscriptionIds": [
                  "string"
                ],
                "regionIds": [
                  "string"
                ],
                "nodeIds": [
                  "string"
                ],
                "organizationName": "string",
                "onCreditExhaustion": "string",
                "metadata": {},
                "status": "STATUS_UNSPECIFIED",
                "timestamps": {
                  "createTime": "2019-08-24T14:15:22Z",
                  "updateTime": "2019-08-24T14:15:22Z"
                }
              }
            ],
            "pricingTierIds": [
              "string"
            ],
            "subscriptionTemplateIds": [
              "string"
            ],
            "metricIds": [
              "string"
            ],
            "metadata": {},
            "status": "STATUS_UNSPECIFIED",
            "timestamps": {
              "createTime": "2019-08-24T14:15:22Z",
              "updateTime": "2019-08-24T14:15:22Z"
            }
          }
        ],
        "metadata": {},
        "planRegions": [
          {
            "regionId": "string",
            "country": "string",
            "city": "string",
            "latitude": 0.1,
            "longitude": 0.1
          }
        ],
        "planId": "string",
        "hasCapacityInFilteredRegion": true,
        "providerLogoUrl": "string",
        "ipv6AvailableInFilteredRegion": true,
        "ddosProvider": "string",
        "platformDriver": "PLATFORM_DRIVER_UNSPECIFIED",
        "capabilities": [
          "string"
        ]
      },
      "website": "string",
      "availableRegions": [
        "string"
      ],
      "ddosSolution": "string",
      "avgTicketResponseSeconds": "string",
      "reviewBreakdown": {
        "oneStar": 0,
        "twoStar": 0,
        "threeStar": 0,
        "fourStar": 0,
        "fiveStar": 0
      },
      "availablePlans": [
        {
          "planId": "string",
          "planCode": "string",
          "planName": "string",
          "planDescription": "string",
          "billingType": "BILLING_TYPE_UNSPECIFIED",
          "computeType": "COMPUTE_TYPE_UNSPECIFIED",
          "computeCategory": "COMPUTE_CATEGORY_UNSPECIFIED",
          "regions": [
            {
              "regionId": "string",
              "country": "string",
              "city": "string",
              "latitude": 0.1,
              "longitude": 0.1
            }
          ],
          "planPrices": [
            {
              "id": "string",
              "pricingModel": "PRICING_MODEL_UNSPECIFIED",
              "chargeTiming": "CHARGE_TIMING_UNSPECIFIED",
              "tierMode": "TIER_MODE_UNSPECIFIED",
              "currency": "string",
              "unitAmount": "string",
              "unitName": "string",
              "unitQuantity": 0,
              "metricName": "string",
              "metricAggregation": "METRIC_AGGREGATION_UNSPECIFIED",
              "packageSize": 0,
              "packagePrice": "string",
              "overagePrice": "string",
              "billingPeriod": "BILLING_PERIOD_UNSPECIFIED",
              "billingInterval": 0,
              "minimumCharge": "string",
              "maximumCharge": "string",
              "freeUnits": 0,
              "freeAmount": "string",
              "prorate": true,
              "metered": true,
              "effectiveFrom": "2019-08-24T14:15:22Z",
              "effectiveUntil": "2019-08-24T14:15:22Z",
              "externalId": "string",
              "productType": "PRODUCT_TYPE_UNSPECIFIED",
              "parentPlanId": "string",
              "minQuantity": 0,
              "maxQuantity": 0,
              "pricingFormula": {},
              "planPrices": [
                {
                  "id": "string",
                  "name": "string",
                  "description": "string",
                  "code": "string",
                  "endUser": "END_USER_UNSPECIFIED",
                  "billingPeriod": "BILLING_PERIOD_UNSPECIFIED",
                  "planType": "PLAN_TYPE_UNSPECIFIED",
                  "billingType": "BILLING_TYPE_UNSPECIFIED",
                  "assetCategory": "ASSET_CATEGORY_UNSPECIFIED",
                  "assetType": "ASSET_TYPE_UNSPECIFIED",
                  "planCategory": "PLAN_CATEGORY_UNSPECIFIED",
                  "currency": "string",
                  "setupFee": "string",
                  "trialDays": 0,
                  "trialAvailable": true,
                  "gracePeriodDays": 0,
                  "autoRenew": true,
                  "maxSubscribers": 0,
                  "isPublic": true,
                  "slaHours": 0,
                  "requiresManualApproval": true,
                  "effectiveFrom": "2019-08-24T14:15:22Z",
                  "effectiveUntil": "2019-08-24T14:15:22Z",
                  "externalBillingId": "string",
                  "templatePlanId": "string",
                  "rulesetIds": [
                    "string"
                  ],
                  "planPrices": [
                    {
                      "id": "string",
                      "pricingModel": "PRICING_MODEL_UNSPECIFIED",
                      "chargeTiming": "CHARGE_TIMING_UNSPECIFIED",
                      "tierMode": "TIER_MODE_UNSPECIFIED",
                      "currency": "string",
                      "unitAmount": "string",
                      "unitName": "string",
                      "unitQuantity": 0,
                      "metricName": "string",
                      "metricAggregation": "METRIC_AGGREGATION_UNSPECIFIED",
                      "packageSize": 0,
                      "packagePrice": "string",
                      "overagePrice": "string",
                      "billingPeriod": "BILLING_PERIOD_UNSPECIFIED",
                      "billingInterval": 0,
                      "minimumCharge": "string",
                      "maximumCharge": "string",
                      "freeUnits": 0,
                      "freeAmount": "string",
                      "prorate": true,
                      "metered": true,
                      "effectiveFrom": "2019-08-24T14:15:22Z",
                      "effectiveUntil": "2019-08-24T14:15:22Z",
                      "externalId": "string",
                      "productType": "PRODUCT_TYPE_UNSPECIFIED",
                      "parentPlanId": "string",
                      "minQuantity": 0,
                      "maxQuantity": 0,
                      "pricingFormula": {},
                      "planPrices": [],
                      "pricingTierIds": [
                        "string"
                      ],
                      "subscriptionTemplateIds": [
                        "string"
                      ],
                      "metricIds": [
                        "string"
                      ],
                      "metadata": {},
                      "status": "STATUS_UNSPECIFIED",
                      "timestamps": {
                        "createTime": "2019-08-24T14:15:22Z",
                        "updateTime": "2019-08-24T14:15:22Z"
                      }
                    }
                  ],
                  "subscriptionIds": [
                    "string"
                  ],
                  "regionIds": [
                    "string"
                  ],
                  "nodeIds": [
                    "string"
                  ],
                  "organizationName": "string",
                  "onCreditExhaustion": "string",
                  "metadata": {},
                  "status": "STATUS_UNSPECIFIED",
                  "timestamps": {
                    "createTime": "2019-08-24T14:15:22Z",
                    "updateTime": "2019-08-24T14:15:22Z"
                  }
                }
              ],
              "pricingTierIds": [
                "string"
              ],
              "subscriptionTemplateIds": [
                "string"
              ],
              "metricIds": [
                "string"
              ],
              "metadata": {},
              "status": "STATUS_UNSPECIFIED",
              "timestamps": {
                "createTime": "2019-08-24T14:15:22Z",
                "updateTime": "2019-08-24T14:15:22Z"
              }
            }
          ],
          "assetType": "ASSET_TYPE_UNSPECIFIED"
        }
      ],
      "hasIpv6": true
    },
    "reviews": [
      {
        "id": "string",
        "starRating": 0,
        "comment": "string",
        "providerReply": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "providerRepliedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "socialUrls": [
      "string"
    ],
    "approvedAt": "2019-08-24T14:15:22Z"
  },
  "sourceStatus": "STOREFRONT_REVISION_STATUS_UNSPECIFIED"
}